package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterSupplyMain;
import com.lightinit.hsdatashow.entity.WaterSupplyMainExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WaterSupplyMainMapper {
    long countByExample(WaterSupplyMainExample example);

    int deleteByExample(WaterSupplyMainExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterSupplyMain record);

    int insertSelective(WaterSupplyMain record);

    List<WaterSupplyMain> selectByExample(WaterSupplyMainExample example);

    WaterSupplyMain selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterSupplyMain record, @Param("example") WaterSupplyMainExample example);

    int updateByExample(@Param("record") WaterSupplyMain record, @Param("example") WaterSupplyMainExample example);

    int updateByPrimaryKeySelective(WaterSupplyMain record);

    int updateByPrimaryKey(WaterSupplyMain record);

    List<WaterSupplyMain> getWaterSupplyMain(int year);
}